Kerbal Space Program - Bug #338

Escape trajectories are not shaped correctly. AKA the changing periapsis bug
03/10/2013 10:56 AM - zarakon
The strange recurve shape seems to be present for all escape trajectories. It's just more obvious when you get close to the planet.
It's also very apparent on a solar system escape.

People usually complain about this at Jool, where aerobraking is the most popular and where this bug has the greatest effect. I've

seen it now at Kerbin, Duna, Jool, and Bop.

People generally just wave it off as "rounding error", but the strange shape of the path and the huge changes in periapsis seem to
suggest a bigger flaw. | also feel like this didn't happen in all versions of the game.

I'm attaching three save files - one for Duna, one for Kerbin, and one for a solar system escape - where the bug is reproduced. In the
system escape save, turn on infinite fuel and burn a little bit retrograde to see it get really weird.

History

#1 - 03/10/2013 11:33 AM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10
| have seen this many, many times. Definitely something that needs to be worked out.

#2 - 03/10/2013 12:27 PM - Ted

Good bug report. Just so I'm clear on this, is it that the Pe is changing after you're coming out of warp?

#3 - 03/10/2013 02:00 PM - zarakon

Yes, it seems to only change when exiting rails warp near the planet. If | stay in warp during the approach, it only changes once it's forced to exit
warp. If | use physics warp, it doesn't jump around. The path still looks wrong in all cases

If I'm near the planet and go in and out of 5x warp, it will jump by a significant amount each time. On the Duna save, 100km seems to be a very
distinct threshold for it. It's not about warping across that boundary, but anywhere under 100km, warping for even an instant will cause a jump.
#4 - 03/10/2013 02:04 PM - zarakon

One more detail..

In the Duna example, under 100km, if | watch the navball | can actually see my prograde and retrograde markers move each time | enter timewarp

#5 - 03/12/2013 05:38 PM - Yargnit
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

A couple of us took a look at this. It appears the wavy orbital path and the shifting PE aren't related. The wavy path you're seeing is just a result of the

way the orbit happens to work out.

The shifting PE upon exiting time-wrap as far as we can tell is just a result of the way rounding errors occur, similar to how transitioning SOl's at high
time-warp causes your PE to shift. If you'd like to make a bug for this portion specifically feel free, but it is known.

#6 - 03/12/2013 05:40 PM - Ted
- Status changed from Duplicate to New

- % Done changed from 100 to 0

#7 - 03/12/2013 05:41 PM - Ted
- Status changed from New to Closed

- % Done changed from 0 to 100

Files

persistent - Duna Pe Bug.sfs 122 KB 03/10/2013 zarakon

persistent - Kerbin Pe Bug.sfs 13.3 KB 03/10/2013 zarakon

persistent - System Escape.sfs 7.13 KB 03/10/2013 zarakon
